/**
 * @license
 * Copyright Workylab. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://raw.githubusercontent.com/workylab/materialize-angular/master/LICENSE
 */
import { ElementRef, OnInit, Renderer2 } from '@angular/core';
interface Coordinate {
    x: number;
    y: number;
}
export declare class RippleDirective implements OnInit {
    private elementRef;
    private renderer;
    rippleDuration: number;
    isRippleActive: boolean;
    isRippleCenter: boolean;
    private element;
    private prefix;
    constructor(elementRef: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    createRipple(event: any): void;
    renderRipple(radio: number, coordinate: Coordinate): void;
    getCoordinatesByCenter(): {
        x: number;
        y: number;
    };
    getCoordinatesByEvent(event: any): Coordinate;
    getRippleRadio(coordinate: Coordinate): number;
    scaleRipple(ripple: HTMLElement): void;
    hideRipple(ripple: HTMLElement): void;
    removeRipple(ripple: HTMLElement): void;
    getOffset(element: HTMLElement): {
        left: number;
        top: number;
    };
}
export {};
