/**
 * @license
 * Copyright Workylab. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://raw.githubusercontent.com/workylab/materialize-angular/master/LICENSE
 */
import { ElementRef, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { DateModel } from '../calendar/calendar.model';
import { DatePickerModel } from './datepicker.model';
export declare class DatePickerComponent implements ControlValueAccessor, OnInit {
    static readonly DAY_KEY = "dd";
    static readonly MONTH_KEY = "mm";
    static readonly YEAR_KEY = "yyyy";
    static readonly defaultProps: DatePickerModel;
    backdropRef: ElementRef;
    className: string;
    disabled: boolean;
    displayOtherMonthDays: boolean;
    floatLabel: string;
    format: string;
    fullSize: boolean;
    id: string | null;
    name: string;
    placeholder: string;
    required: boolean;
    inputValue: string;
    prefix: string;
    date: Date;
    isOpen: boolean;
    constructor();
    ngOnInit(): void;
    onSelectDay(selectedDate: DateModel): void;
    formatDate(date: Date): string;
    buildDate(value: string): Date;
    open(): void;
    close(): void;
    onInputChange(value: string): void;
    onInputFocus(): void;
    setDisabledState(isDisabled: boolean): void;
    writeValue(value: Date): void;
    registerOnChange(fn: (value: Date) => void): void;
    registerOnTouched(fn: () => void): void;
    onChange(value: Date): void;
    onTouched(): void;
}
