/**
 * @license
 * Copyright Workylab. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://raw.githubusercontent.com/workylab/materialize-angular/master/LICENSE
 */
import { AfterViewInit, QueryList } from '@angular/core';
import { GlossaryItemComponent } from './glossary-item/glossary-item.component';
import { GlossaryModel } from './glossary.model';
import { Router } from '@angular/router';
export declare class GlossaryComponent implements AfterViewInit, GlossaryModel {
    private router;
    static readonly defaultProps: GlossaryModel;
    items: QueryList<GlossaryItemComponent>;
    className: string;
    scrollSpy: import("../scroll-spy/scroll-spy.component").ScrollSpyComponent;
    topSpace: number;
    prefix: string;
    activeReferenceId: string;
    constructor(router: Router);
    ngAfterViewInit(): void;
    update(): void;
    scrollTo(referenceId: string): void;
    getActiveReferenceId(): string;
    registerOptions(): void;
    onClickItem(referenceId: string): void;
    activeItemByReferenceId(referenceId: string): void;
}
