/**
 * @license
 * Copyright Workylab. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://raw.githubusercontent.com/workylab/materialize-angular/master/LICENSE
 */
import { OnInit } from '@angular/core';
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import { HTMLVisualizerModel } from './html-visualizer.model';
export declare class HTMLVisualizerComponent implements HTMLVisualizerModel, OnInit {
    private sanitizer;
    static readonly ATTRIBUTE_CLASS: string;
    static readonly VALUE_CLASS: string;
    static readonly SYMBOL_CLASS: string;
    static readonly defaultProps: HTMLVisualizerModel;
    className: string;
    html: string;
    htmlContent: SafeHtml;
    prefix: string;
    constructor(sanitizer: DomSanitizer);
    ngOnInit(): void;
    render(html: string): string;
    createNode(content: string, className: string): string;
    indentNode(depth: number, content: string): string;
    splitByTags(xml: string): Array<string>;
    isTag(contentNode: string): boolean;
    isOpeningTag(contentNode: string): boolean;
    isClosingTag(contentNode: string): boolean;
    isSelfClosingTag(contentNode: string): boolean;
    createLineLogic(firstTag: string, middleTag: string, lastTag: string, depth: number, cycle: number): any;
}
