/**
 * @license
 * Copyright Workylab. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://raw.githubusercontent.com/workylab/materialize-angular/master/LICENSE
 */
import { AfterViewInit, ElementRef, EventEmitter, OnChanges, QueryList, Renderer2, SimpleChanges } from '@angular/core';
import { Router } from '@angular/router';
import { SupportedEventsModel } from '../../components/common/models/supported-events.model';
import { TabComponent } from './tab/tab.component';
import { TabGroupModel } from './tab-group.model';
export declare class TabGroupComponent implements AfterViewInit, OnChanges {
    private router;
    private renderer;
    static readonly defaultProps: TabGroupModel;
    tabs: QueryList<TabComponent>;
    indicatorRef: ElementRef;
    headerRef: ElementRef;
    onTabSelectEmitter: EventEmitter<number>;
    className: string;
    selectedIndex: number;
    transitionDuration: number;
    prefix: string;
    supportedEvents: SupportedEventsModel;
    constructor(router: Router, renderer: Renderer2);
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    update(): void;
    selectTab(index: number): void;
    activateIndex(index: number): void;
    moveIndicator(index: number, hasAnimation: boolean): void;
}
